---
title: "Distributed Content Verification System"
status: development
slug: dcvs
date: "2020-06-12 15:38:07"
listed: true
---

## Description

[Detailed explanation](/blog/dcvs-proposal) (slightly different version of this project).

In short: websites could check each other's content periodically, make sure it's not being tampered with. Hackers would need to access to all websites to get away with their crime. A predetermined list of paths is downloaded, HTML tags known to contain dynamic content are stripped, the content (and content alone, no HTTP headers) is hashed and compared with the latest validated hash for that path.

If content change is detected, an email is sent to the owner of the website with a link to validate the new hashes of the paths. This system requires trust between the two website owners.

## Status

In development.

## Updates

[2020-06-12 15:38:07] Added project
