---
title: "FOSS TLD Ersatz"
status: development
slug: foss-tld-ersatz
date: "2020-06-12 15:12:09"
listed: true
---

## Description

Imagine promoting your project with a `myproject.foss` domain, immediately showing off that your project has an open-source license before even visiting your site.

Not gonna happen, there are currently no plans to [delegate FOSS as a TLD](https://newgtlds.icann.org/en/program-status/delegated-strings).

We can do the next best thing: order `foss.sometld` and allow registrations for projects to get their `myproject.foss.sometld`. Not as shiny as `.foss`, but the next best thing.

When the license of the project is accepted (for example, all OSI- or FSF-approved licenses), the project gets their free subdomain.

Project phases:
1. Make a directory of FOSS projects and display as list
2. Automatically/manually handle DNS administration for subdomains and forward to project's hosting or gitlab/github pages
3. Allow hosting of static website

## Status

Phase 1: in development.  
Phase 2: pending.  
Phase 3: pending.

## Updates

[2020-06-12 15:12:09] Added project
